package opc.ua.im.datatype;

import opc.ua.addressspace.nodeclasse.DataTypeNode;
import opc.ua.services.common.DiagnosticInfo;
import opc.ua.services.common.StatusCode;

public class StatusResult extends DataTypeNode {
	
	private StatusCode statusCode;
	private DiagnosticInfo diagnosticInfo;
	
	
	public StatusResult() {
		setBrowseName("StatusResult");
	}
	
	public StatusCode getStatusCode() {
		return statusCode;
	}
	public void setStatusCode(StatusCode statusCode) {
		this.statusCode = statusCode;
	}
	public DiagnosticInfo getDiagnosticInfo() {
		return diagnosticInfo;
	}
	public void setDiagnosticInfo(DiagnosticInfo diagnosticInfo) {
		this.diagnosticInfo = diagnosticInfo;
	}
	
}
